<?php
    use PFBC\Form;
    use PFBC\Element;
    use PFBC\View;
    use PFBC\Validation;
    use documongo\MongoObject\Document;
    use documongo\MongoObject\DocumentType;
    require_once('lib/frole.php');
	$role = new Role();
?>
<!doctype html>
<html lang="ru">
<head>
<meta charset="utf-8" />
<title>ППC кафедры</title>
<link rel="stylesheet" href="/css/jquery-ui.css" />

<script src="/js/jquery-1.9.1.js"></script>
<script src="/js/jquery-ui.js"></script>
<script src="/js/jquery.form.js"></script>

<link type="text/css" rel="stylesheet" href="/css/bootstrap-combined.min.css">
<script src="/js/bootstrap.min.js"></script>
<link rel="stylesheet" href="/css/base.css?rand=<?=rand();?>" />
<link rel="stylesheet" href="/css/member.css?rand=<?=rand();?>" />
<link rel="stylesheet" href="/css/member.form.css?rand=<?=rand();?>" />
<link rel="stylesheet" href="/css/admin.css" />
<link rel="stylesheet" href="/css/navigation__horizontal.css" />
 <link rel="stylesheet" href="/css/messages.css" />

  <script src="/js/auth.js"></script>
  <script>
    var language = "<?=$language?>";
    var pageType = "<?=$pageType?>";

  </script>
  <style>
  table{width:100%}
  td,th{text-align:left; padding:2px 20px;}
  </style>
</head>

<body>


<header class="header gradient">
  <div class="header__logo">
    <img src="/images/herzen.png" />
  </div>
  <div class="header__headings">
    <h1 class="header__headings__heading">
      Комплексный мониторинг кафедр
    </h1>
    <h2 class="header__headings__subheading">
      <small class="header__headings__subheading__subsubheading">
        Профессорско-преподавательский состав
      </small>
    </h2>
  </div>

  <div class="userbox userbox_parent_header">
    <div class="userbox__controls">
      <span class="userbox__controls__profile">профиль</span> / <span class="userbox__controls__logout">выход</span>
    </div>
    <div class="userbox__username">
        <span class="userbox__username__displayname" data-uuid="<?=$this->user->uuid?>"><?=$this->user->givenname?> <?=$this->user->lastname?></span>
    </div>
  </div>

  <div class="header__helper"></div>
</header>

<div>
	<?php
echo $role->userMenu($user->uuid);
	?>
</div>

<?php  $this->renderNavigation(); ?>

<!-- CURRENT PAGE -->
<div class="all">
<?php
if(isset($_GET['id'])){
	require_once("lib/fconnect.php");
	$db = DBConnect::getInstance();
	//$_GET['id'] = 1;
	try {
		$something = new MongoId($_GET['id']);
	} catch (MongoException $ex) {
		$something = new MongoId();
	}
	$doc = $db->colDocs->findOne(array("_id"=> new MongoId($something)));
	if(!isset($doc)){
		die('Данные о ППC не доступны. Обратитесь к администратору complexrating@herzen.spb.ru');
	}
	$title_ru = trim($doc['title_ru']);

?>
<h4><?=$title_ru?></h4>
<p>Список штатных сотрудников, результаты деятельности которых учитываются при подаче данных в комплексный рейтинг кафедр</p>
<table>
<?php
if (($handle = fopen(__DIR__ . "/pps.csv", "r")) !== FALSE) {
    while (($data = fgetcsv($handle, 1000, "\t")) !== FALSE) {
        if (trim($data[0]==" Подразделение")) {
            echo '<tr><td><b>'.$data[1].'</b></td><td><b>'.$data[2].'</b></td><td><b>'.$data[3].'</b></td><td><b>'.$data[4].'</b></td><td><b>'.(isset($data[5])?$data[5]:"").'</b></td></tr>';
        }
        if (trim($data[0])==$title_ru) {
            echo '<tr><td>'.$data[1].'</td><td>'.$data[2].'</td><td>'.$data[3].'</td><td>'.$data[4].'</td></tr>';
        }
	}
}

?>
</table>
<p>&nbsp;</p>
<p>В случае обнаружения недостоверной информации сообщите на адрес электронной почты: <a href="mailto:complexrating@herzen.spb.ru">complexrating@herzen.spb.ru</a></p>
<?php
}
?>
</div>
</body>
</html>
